package com.hfkj.service.order;

import com.hfkj.entity.BsOrderRefund;
import com.hfkj.model.order.OrderModel;

import java.util.List;
import java.util.Map;

/**
 * @className: BsOrderRefundService
 * @author: HuRui
 * @date: 2024/5/14
 **/
public interface BsOrderRefundService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsOrderRefund data);

    /**
     * 退款金额
     * @return
     */
    boolean refundMoney(BsOrderRefund orderRefund);

    /**
     * 交易订单退款
     * @param orderNo
     * @return
     */
    OrderModel tradeOrderRefund(String orderNo, String remark);

    /**
     * 交易子订单退款
     * @param childOrderNo 子订单号
     * @param productCount 退款产品数量
     * @return
     */
    BsOrderRefund tradeOrderChildRefund(String childOrderNo, Integer productCount, String remark);

    /**
     * 查询退款
     * @param refundOrderNo 退款单号
     * @return
     */
    BsOrderRefund getRefund(String refundOrderNo);
    /**
     * 查询退款列表
     * @param param
     * @return
     */
    List<BsOrderRefund> getRefundList(Map<String,Object> param);
}
